MilterManagerController
3
milter managerライブラリ

# MilterManagerController

## Functions

GQuark | milter_manager_controller_error_quark ()
MilterManagerController * | milter_manager_controller_new ()
gboolean | milter_manager_controller_listen ()

## プロパティ

MilterEventLoop * | event-loop | Read / Write
MilterManager * | manager | Read / Write

## Types and Values

#define | MILTER_MANAGER_CONTROLLER_ERROR
enum | MilterManagerControllerError
struct | MilterManagerController
struct | MilterManagerControllerClass

## オブジェクト階層

        GEnum
        ╰── MilterManagerControllerError
        GObject
        ╰── MilterManagerController

## 説明

## Functions

### milter_manager_controller_error_quark ()

    GQuark
    milter_manager_controller_error_quark (void);

### milter_manager_controller_new ()

    MilterManagerController *
    milter_manager_controller_new (MilterManager *manager,
                                   MilterEventLoop *event_loop);

### milter_manager_controller_listen ()

    gboolean
    milter_manager_controller_listen (MilterManagerController *controller,
                                      GError **error);

## Types and Values

### MILTER_MANAGER_CONTROLLER_ERROR

    #define MILTER_MANAGER_CONTROLLER_ERROR           (milter_manager_controller_error_quark())

### enum MilterManagerControllerError

#### Members

MILTER_MANAGER_CONTROLLER_ERROR_LISTING |  |
MILTER_MANAGER_CONTROLLER_ERROR_NO_SPEC |  |

### struct MilterManagerController

    struct MilterManagerController;

### struct MilterManagerControllerClass

    struct MilterManagerControllerClass {
        GObjectClass parent_class;
    };

## プロパティ詳細

### The `“event-loop”` property

      “event-loop”               MilterEventLoop *

The event loop of the milter controller.

Flags: Read / Write

### The `“manager”` property

      “manager”                  MilterManager *

The manager of the milter controller.

Flags: Read / Write